package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * high_approve
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighApprove implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 审批对象  1:卡券上架审批   2:卡卷价格审批
     */
    private Integer objectType;

    /**
     * 审批对象id
     */
    private Long objectId;

    /**
     * 审批对象名称
     */
    private String objectName;

    /**
     * 审批流水号
     */
    private String approveSerialNo;

    /**
     * 审批意见
     */
    private String remarks;

    /**
     * 状态:  1:待审批  2:驳回  3:通过  
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 提交人id
     */
    private Long submitOperatorId;

    /**
     * 提交人名称
     */
    private String submitOperatorName;

    /**
     * 审批人员id
     */
    private Long approveOperatorId;

    /**
     * 审批人员名称
     */
    private String approveOperatorName;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public Long getObjectId() {
        return objectId;
    }

    public void setObjectId(Long objectId) {
        this.objectId = objectId;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public String getApproveSerialNo() {
        return approveSerialNo;
    }

    public void setApproveSerialNo(String approveSerialNo) {
        this.approveSerialNo = approveSerialNo;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getSubmitOperatorId() {
        return submitOperatorId;
    }

    public void setSubmitOperatorId(Long submitOperatorId) {
        this.submitOperatorId = submitOperatorId;
    }

    public String getSubmitOperatorName() {
        return submitOperatorName;
    }

    public void setSubmitOperatorName(String submitOperatorName) {
        this.submitOperatorName = submitOperatorName;
    }

    public Long getApproveOperatorId() {
        return approveOperatorId;
    }

    public void setApproveOperatorId(Long approveOperatorId) {
        this.approveOperatorId = approveOperatorId;
    }

    public String getApproveOperatorName() {
        return approveOperatorName;
    }

    public void setApproveOperatorName(String approveOperatorName) {
        this.approveOperatorName = approveOperatorName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighApprove other = (HighApprove) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getObjectType() == null ? other.getObjectType() == null : this.getObjectType().equals(other.getObjectType()))
            && (this.getObjectId() == null ? other.getObjectId() == null : this.getObjectId().equals(other.getObjectId()))
            && (this.getObjectName() == null ? other.getObjectName() == null : this.getObjectName().equals(other.getObjectName()))
            && (this.getApproveSerialNo() == null ? other.getApproveSerialNo() == null : this.getApproveSerialNo().equals(other.getApproveSerialNo()))
            && (this.getRemarks() == null ? other.getRemarks() == null : this.getRemarks().equals(other.getRemarks()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getSubmitOperatorId() == null ? other.getSubmitOperatorId() == null : this.getSubmitOperatorId().equals(other.getSubmitOperatorId()))
            && (this.getSubmitOperatorName() == null ? other.getSubmitOperatorName() == null : this.getSubmitOperatorName().equals(other.getSubmitOperatorName()))
            && (this.getApproveOperatorId() == null ? other.getApproveOperatorId() == null : this.getApproveOperatorId().equals(other.getApproveOperatorId()))
            && (this.getApproveOperatorName() == null ? other.getApproveOperatorName() == null : this.getApproveOperatorName().equals(other.getApproveOperatorName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getObjectType() == null) ? 0 : getObjectType().hashCode());
        result = prime * result + ((getObjectId() == null) ? 0 : getObjectId().hashCode());
        result = prime * result + ((getObjectName() == null) ? 0 : getObjectName().hashCode());
        result = prime * result + ((getApproveSerialNo() == null) ? 0 : getApproveSerialNo().hashCode());
        result = prime * result + ((getRemarks() == null) ? 0 : getRemarks().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getSubmitOperatorId() == null) ? 0 : getSubmitOperatorId().hashCode());
        result = prime * result + ((getSubmitOperatorName() == null) ? 0 : getSubmitOperatorName().hashCode());
        result = prime * result + ((getApproveOperatorId() == null) ? 0 : getApproveOperatorId().hashCode());
        result = prime * result + ((getApproveOperatorName() == null) ? 0 : getApproveOperatorName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", objectType=").append(objectType);
        sb.append(", objectId=").append(objectId);
        sb.append(", objectName=").append(objectName);
        sb.append(", approveSerialNo=").append(approveSerialNo);
        sb.append(", remarks=").append(remarks);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", submitOperatorId=").append(submitOperatorId);
        sb.append(", submitOperatorName=").append(submitOperatorName);
        sb.append(", approveOperatorId=").append(approveOperatorId);
        sb.append(", approveOperatorName=").append(approveOperatorName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}